# Gimp.ProcedureConfig.get_choice_id

    @accepts(Gimp.ProcedureConfig, unicode)
    @returns(int)
    def get_choice_id(self, property_name):
        # Python wrapper for gimp_procedure_config_get_choice_id()

A utility function which will get the current string value of a [struct@ParamSpecChoice] property in self and convert it to the integer ID mapped to this value. This makes it easy to work with an Enum type locally, within a plug-in code.

Since 3.0

self

  a Gimp.ProcedureConfig

property_name

  the name of a [struct@ParamSpecChoice] property.

Returns